# $Header: /cvs/stx/stx/libcomp/Make.proto,v 1.74 2003/11/21 15:39:44 cg Exp $
#
# -------------- no need to change anything below ----------

MODULE=stx
MODULE_DIR=libcomp
LIBNAME=libcomp
PACKAGE=$(MODULE):$(LIBNAME)
THIS_IS_A_BASE_LIBRARY="yes"

#
# these are uncritical - save some bytes by compiling with optspace
#
UNCRITICALOBJS=\
      $(OUTDIR)Explainer.$(O)            \
      $(OUTDIR)ProgramNodeEnumerator.$(O)\
      $(OUTDIR)SyntaxHighlighter.$(O)

OBJS=\
      $(OUTDIR)ParserFlags.$(O)          \
      $(OUTDIR)Scanner.$(O)              \
	$(OUTDIR)Parser.$(O)             \
	  $(OUTDIR)ByteCodeCompiler.$(O) \
	  $(OUTDIR)Explainer.$(O)        \
      $(OUTDIR)ProgramNodeEnumerator.$(O)\
      $(OUTDIR)Variable.$(O)             \
      $(OUTDIR)ParseNode.$(O)            \
	$(OUTDIR)ParseErrorNode.$(O)     \
	$(OUTDIR)PrimaryNode.$(O)        \
	  $(OUTDIR)VariableNode.$(O)     \
	  $(OUTDIR)SelfNode.$(O)         \
	    $(OUTDIR)SuperNode.$(O)      \
	  $(OUTDIR)ConstantNode.$(O)     \
	$(OUTDIR)StatementNode.$(O)      \
	  $(OUTDIR)ReturnNode.$(O)       \
	  $(OUTDIR)PrimitiveNode.$(O)    \
	$(OUTDIR)AssignmentNode.$(O)     \
	$(OUTDIR)BlockNode.$(O)          \
	$(OUTDIR)MessageNode.$(O)        \
	  $(OUTDIR)UnaryNode.$(O)        \
	  $(OUTDIR)BinaryNode.$(O)       \
	  $(OUTDIR)CascadeNode.$(O)      \
      $(OUTDIR)UndefinedVariable.$(O)    \
      $(OUTDIR)LazyMethod.$(O)           \
      $(OUTDIR)SourceFileLoader.$(O)     \
      $(OUTDIR)Structure.$(O)            \
      $(OUTDIR)Switch.$(O)               \
      $(OUTDIR)SyntaxHighlighter.$(O)    \
      $(OUTDIR)CompilationErrorHandler.$(O)        \
      $(OUTDIR)WarningCompilationErrorHandler.$(O) \
      $(OUTDIR)ObjectFileHandle.$(O)     \
      $(OUTDIR)ObjectFileLoader.$(O)     \
      $(OUTDIR)ImmutableArray.$(O)       \
      $(OUTDIR)ImmutableString.$(O)
